#ifndef LineStat_h
#define LineStat_h

#include <vector>
#include <string>

class BlankStat;

class LineStat {

 public:

  LineStat();
  virtual ~LineStat();

  // functions to initialize, process and print results
  void beginJob();
  void process( const std::string& line );
  void endJob();

 private:

  // container of mean calculators
  std::vector<BlankStat*> list;

  LineStat           ( const LineStat& x );
  LineStat& operator=( const LineStat& x );

};

#endif

